<template>
  <div class="">
    <div class="container text-center d-flex flex-column page-container">
      <navbar/>

      <div class="d-flex flex-column align-items-center flex-grow-1">
        <div class="title-container">
          <h1 class="large-title">
            {{this.currentData.title}}
          </h1>

          <p class="subtitle m-0">
            {{this.currentData.subtitle}}
          </p>
        </div>

        <p class="brand-promise my-5">
          {{this.currentData.promise}}
        </p>

        <div class="pillars row mb-5">
          <div  v-for="(pillar, index) in this.currentData.pillars"
                :key="index"
                class="col-md-4 col-12 mb-3 mb-md-0">
            <div class="pillar bg-light text-dark rounded h-100 shadow-sm">
              <div class="p-5 d-flex align-items-center justify-content-center h-100">
                {{pillar.text}}
              </div>
            </div>
          </div>
        </div>

        <div class="d-md-none">
          <login-button message="Try it now" class="btn-danger py-3 px-5 mb-5"/>
        </div>
      </div>
    </div>

  </div>
</template>

<script>
import Navbar from '@/components/layout/Navbar'
import LoginButton from '@/components/auth/LoginButton'

export default {
  name: 'landing-page',
  components: { Navbar, LoginButton },
  data () {
    return {
      currentName: 0,
      abTestingData: {
        aimed: {
          title: 'Aimed',
          subtitle: 'Personal process manager',
          promise: 'You have everything you need, and almost everything you want, except time.',
          secondTitle: 'Our focus is',
          pillars: [
            { text: 'Get feedbacks based on your personality' },
            { text: 'Providing knowledge and methods from best in class top performers' },
            { text: 'Suggesting the right action depending on your goals and priorities' }
          ]
        },
        chillin: {
          title: 'Chill-in',
          subtitle: 'Personal process manager',
          promise: 'You have everything you need, and almost everything you want, except time.',
          secondTitle: 'Our focus is',
          pillars: [
            { text: 'Giving you feedbacks based on your personality' },
            { text: 'Providing knowledge and methods from best in class top performers' },
            { text: 'Suggesting the right action depending on your goals and priorities' }
          ]
        },
        lifeward: {
          title: 'Lifeward',
          subtitle: 'Personal process manager',
          promise: 'You have everything you need, and almost everything you want, except time.',
          secondTitle: 'Our focus is',
          pillars: [
            { text: 'Giving you feedbacks based on your personality' },
            { text: 'Providing knowledge and methods from best in class top performers' },
            { text: 'Suggesting the right action depending on your goals and priorities' }
          ]
        }
      }
    }
  },
  computed: {
    currentData () {
      return this.abTestingData[this.currentName]
    }
  },
  created () {
    this.currentName = this.$route.params.name || 'aimed'
  }
}
</script>

<style lang="scss" scoped>
.page-container {
  min-height: 100vh;
}

.large-title {
  font-size: 5rem;
}
.subtitle {
  font-size: 1.2rem;
}

.brand-promise {
  font-size: 1.5rem;
  max-width: 500px;
}

h2 {
  font-size: 3rem;
}
</style>
